Name: sane-frontends
Version: 1.0.4
Release: 2mdk
Summary: Graphical frontend to SANE
URL:       http://www.mostang.com/sane/
Source:    ftp://ftp.mostang.com/pub/sane/%{name}-%{version}.tar.bz2
Copyright: GPL
Group: Graphics
BuildRequires: XFree86-devel gimp-libgimp libjpeg-devel libsane-devel sane
Requires:  gtk+ >= 0.99.13, gimp-libgimp >= 1.1.25, sane = %{version}
Buildroot: %{_tmppath}/%{name}-root

%description
This is the xscanimage program, used to scan images using SANE, either
standalone or as a gimp plugin. Also includes xcam.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --with-gnu-ld --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
if [ -d /usr/lib/gimp ]; then
  GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i ] || mkdir -p $i
  ln -sf /usr/bin/xscanimage $i/plug-ins/xscanimage
  done
fi

%preun
if [ $1 = 0 ]; then
  if [ -d /usr/lib/gimp ]; then
    GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
	[ -z "$GIMPDIR" ] && exit 0
	for i in $GIMPDIR;do
    [ -d $i ] || mkdir -p $i
    rm -f $i/plug-ins/xscanimage
  	done
  fi
fi

%clean
rm -R $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/*
%config(noreplace) %{_datadir}/sane-style.rc
%{_mandir}/man1/*


%changelog

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk

- Summary now capitalised
- BuildRequires: sane (for sane-config)

